import request from '@/utils/request'

// 查询结算订单报列表
export function listReport(query) {
  return request({
    url: '/pile/report/list',
    method: 'get',
    params: query
  })
}

// 查询结算订单报详细
export function getReport(id) {
  return request({
    url: '/pile/report/' + id,
    method: 'get'
  })
}

// 新增结算订单报
export function addReport(data) {
  return request({
    url: '/pile/report',
    method: 'post',
    data: data
  })
}

// 修改结算订单报
export function updateReport(data) {
  return request({
    url: '/pile/report',
    method: 'put',
    data: data
  })
}

// 删除结算订单报
export function delReport(id) {
  return request({
    url: '/pile/report/' + id,
    method: 'delete'
  })
}
